[arch-commits] Commit in fcron/repos (12 files)

Thorsten Töpper ttoepper at nymeria.archlinux.org
Tue Mar 19 10:30:42 UTC 2013


    Date: Tuesday, March 19, 2013 @ 11:30:42
  Author: ttoepper
Revision: 86558

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  fcron/repos/community-testing-i686/
  fcron/repos/community-testing-i686/PKGBUILD
    (from rev 86557, fcron/trunk/PKGBUILD)
  fcron/repos/community-testing-i686/fcron.rc
    (from rev 86557, fcron/trunk/fcron.rc)
  fcron/repos/community-testing-i686/run-cron
    (from rev 86557, fcron/trunk/run-cron)
  fcron/repos/community-testing-i686/systab
    (from rev 86557, fcron/trunk/systab)
  fcron/repos/community-testing-i686/systab.orig
    (from rev 86557, fcron/trunk/systab.orig)
  fcron/repos/community-testing-x86_64/
  fcron/repos/community-testing-x86_64/PKGBUILD
    (from rev 86557, fcron/trunk/PKGBUILD)
  fcron/repos/community-testing-x86_64/fcron.rc
    (from rev 86557, fcron/trunk/fcron.rc)
  fcron/repos/community-testing-x86_64/run-cron
    (from rev 86557, fcron/trunk/run-cron)
  fcron/repos/community-testing-x86_64/systab
    (from rev 86557, fcron/trunk/systab)
  fcron/repos/community-testing-x86_64/systab.orig
    (from rev 86557, fcron/trunk/systab.orig)

--------------------------------------+
 community-testing-i686/PKGBUILD      |   86 +++++++++++++++++++++++++++++++++
 community-testing-i686/fcron.rc      |   36 +++++++++++++
 community-testing-i686/run-cron      |   14 +++++
 community-testing-i686/systab.orig   |    4 +
 community-testing-x86_64/PKGBUILD    |   86 +++++++++++++++++++++++++++++++++
 community-testing-x86_64/fcron.rc    |   36 +++++++++++++
 community-testing-x86_64/run-cron    |   14 +++++
 community-testing-x86_64/systab.orig |    4 +
 8 files changed, 280 insertions(+)

Copied: fcron/repos/community-testing-i686/PKGBUILD (from rev 86557, fcron/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,86 @@
+# $Id$
+# Contributor: Giorgio Lando <lando at imap dot cc>
+# Contributor: Sergej Pupykin
+# Contributor: Thomas Bächler
+# Maintainer: Thorsten Töpper <atsutane-tu at freethoughts.de>
+
+pkgname=fcron
+pkgver=3.1.2
+pkgrel=1
+pkgdesc='Feature-rich cron implementation'
+arch=(i686 x86_64)
+url="http://fcron.free.fr"
+license=('GPL')
+depends=('pam')
+makedepends=('smtp-server')
+optdepends=('smtp-server: to receive mails from cron jobs')
+provides=('cron')
+conflicts=('dcron')
+backup=(etc/fcron/fcron.conf etc/fcron/fcron.allow etc/fcron/fcron.deny \
+        var/spool/fcron/systab var/spool/fcron/systab.orig)
+options=('emptydirs' '!makeflags')
+source=(http://fcron.free.fr/archives/$pkgname-$pkgver.src.tar.gz fcron.rc \
+        systab systab.orig run-cron)
+md5sums=('36bf213e15f3a480f2274f8e46cced0a'
+         'e0c3f0bdc3c98fbbe46eff19001c18f2'
+         '938722c6654ef7b07f4aa10001905ba1'
+         'bfb7daa22ebe22b9917e455c1ca4a382'
+         '5ff0cdcb9ec99778938ac6ef26800327')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr \
+              --sysconfdir=/etc/fcron \
+              --with-answer-all=no \
+              --with-boot-install=no \
+              --with-username=root \
+              --with-groupname=root \
+              --datarootdir=/usr/share \
+	            --datadir=/usr/share \
+              --with-docdir=/usr/share/doc \
+              --localstatedir=/var \
+              --with-systemdsystemunitdir=/usr/lib/systemd/system \
+              --with-piddir=/run \
+	            --with-editor=/usr/bin/vi \
+              --with-sendmail=/usr/sbin/sendmail
+  make
+
+  # Temporary bugfix make install expects the file in the files directory.
+  cp script/fcron.init.systemd files
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  
+  make DESTDIR="$pkgdir/" install
+  install -D -m755 "$srcdir/fcron.rc" "$pkgdir/etc/rc.d/fcron"
+  install -D -m644 "$srcdir/$pkgname-$pkgver/files/fcron.pam" "$pkgdir/etc/pam.d/fcron"
+  
+  install -D -m644 "$srcdir/$pkgname-$pkgver/files/fcrontab.pam" "$pkgdir/etc/pam.d/fcrontab"
+  # Install default fcrontab so that fcron can completely replace dcron
+  
+  install -D -m600 "$srcdir/systab" "$pkgdir/var/spool/fcron/systab"
+  # In order to preserve the systab crontab in any case it is better to have
+  # it in non-binary form too
+  install -D -m600 "$srcdir/systab.orig" "$pkgdir/var/spool/fcron/systab.orig"
+
+  # Add cron.* directories
+  install -d -m755 "$pkgdir/etc/cron.daily"
+  install -d -m755 "$pkgdir/etc/cron.hourly"
+  install -d -m755 "$pkgdir/etc/cron.monthly"
+  install -d -m755 "$pkgdir/etc/cron.weekly"
+  
+  # Install run-cron script to make fcron run without dcron
+  install -D -m755 "$srcdir/run-cron" "$pkgdir/usr/sbin/run-cron"
+
+  # avoid conflict with filesystem>=2012.06
+  rmdir "$pkgdir/var/run"
+
+  # avoid conflict with libbsd - #31259
+  rm "$pkgdir/usr/share/man/man3/bitstring.3" \
+    "$pkgdir/usr/share/man/fr/man3/bitstring.3"
+  rmdir --ignore-fail-on-non-empty "$pkgdir/usr/share/man/man3" \
+    "$pkgdir/usr/share/man/fr/man3" || true
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fcron/repos/community-testing-i686/fcron.rc (from rev 86557, fcron/trunk/fcron.rc)
===================================================================
--- community-testing-i686/fcron.rc	                        (rev 0)
+++ community-testing-i686/fcron.rc	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/fcron`
+case "$1" in
+  start)
+    stat_busy "Starting Fcron Daemon"
+    [ -z "$PID" ] && /usr/sbin/fcron -b
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon fcron
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Fcron Daemon"
+    [ -n "$PID" ]  && kill $PID >/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon fcron
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: fcron/repos/community-testing-i686/run-cron (from rev 86557, fcron/trunk/run-cron)
===================================================================
--- community-testing-i686/run-cron	                        (rev 0)
+++ community-testing-i686/run-cron	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+
+if [ -z $1 ]; then
+   echo "Usage: $0 crondir"
+   exit 1
+fi
+
+for cron in $1/* ; do
+  if [ -x $cron ]; then
+     $cron
+  fi
+done
+unset cron

Copied: fcron/repos/community-testing-i686/systab (from rev 86557, fcron/trunk/systab)
===================================================================
(Binary files differ)

Copied: fcron/repos/community-testing-i686/systab.orig (from rev 86557, fcron/trunk/systab.orig)
===================================================================
--- community-testing-i686/systab.orig	                        (rev 0)
+++ community-testing-i686/systab.orig	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,4 @@
+&bootrun 01 * * * *  /usr/sbin/run-cron /etc/cron.hourly
+&bootrun 02 00 * * * /usr/sbin/run-cron /etc/cron.daily
+&bootrun 22 00 * * 0 /usr/sbin/run-cron /etc/cron.weekly
+&bootrun 42 00 1 * * /usr/sbin/run-cron /etc/cron.monthly

Copied: fcron/repos/community-testing-x86_64/PKGBUILD (from rev 86557, fcron/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,86 @@
+# $Id$
+# Contributor: Giorgio Lando <lando at imap dot cc>
+# Contributor: Sergej Pupykin
+# Contributor: Thomas Bächler
+# Maintainer: Thorsten Töpper <atsutane-tu at freethoughts.de>
+
+pkgname=fcron
+pkgver=3.1.2
+pkgrel=1
+pkgdesc='Feature-rich cron implementation'
+arch=(i686 x86_64)
+url="http://fcron.free.fr"
+license=('GPL')
+depends=('pam')
+makedepends=('smtp-server')
+optdepends=('smtp-server: to receive mails from cron jobs')
+provides=('cron')
+conflicts=('dcron')
+backup=(etc/fcron/fcron.conf etc/fcron/fcron.allow etc/fcron/fcron.deny \
+        var/spool/fcron/systab var/spool/fcron/systab.orig)
+options=('emptydirs' '!makeflags')
+source=(http://fcron.free.fr/archives/$pkgname-$pkgver.src.tar.gz fcron.rc \
+        systab systab.orig run-cron)
+md5sums=('36bf213e15f3a480f2274f8e46cced0a'
+         'e0c3f0bdc3c98fbbe46eff19001c18f2'
+         '938722c6654ef7b07f4aa10001905ba1'
+         'bfb7daa22ebe22b9917e455c1ca4a382'
+         '5ff0cdcb9ec99778938ac6ef26800327')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr \
+              --sysconfdir=/etc/fcron \
+              --with-answer-all=no \
+              --with-boot-install=no \
+              --with-username=root \
+              --with-groupname=root \
+              --datarootdir=/usr/share \
+	            --datadir=/usr/share \
+              --with-docdir=/usr/share/doc \
+              --localstatedir=/var \
+              --with-systemdsystemunitdir=/usr/lib/systemd/system \
+              --with-piddir=/run \
+	            --with-editor=/usr/bin/vi \
+              --with-sendmail=/usr/sbin/sendmail
+  make
+
+  # Temporary bugfix make install expects the file in the files directory.
+  cp script/fcron.init.systemd files
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  
+  make DESTDIR="$pkgdir/" install
+  install -D -m755 "$srcdir/fcron.rc" "$pkgdir/etc/rc.d/fcron"
+  install -D -m644 "$srcdir/$pkgname-$pkgver/files/fcron.pam" "$pkgdir/etc/pam.d/fcron"
+  
+  install -D -m644 "$srcdir/$pkgname-$pkgver/files/fcrontab.pam" "$pkgdir/etc/pam.d/fcrontab"
+  # Install default fcrontab so that fcron can completely replace dcron
+  
+  install -D -m600 "$srcdir/systab" "$pkgdir/var/spool/fcron/systab"
+  # In order to preserve the systab crontab in any case it is better to have
+  # it in non-binary form too
+  install -D -m600 "$srcdir/systab.orig" "$pkgdir/var/spool/fcron/systab.orig"
+
+  # Add cron.* directories
+  install -d -m755 "$pkgdir/etc/cron.daily"
+  install -d -m755 "$pkgdir/etc/cron.hourly"
+  install -d -m755 "$pkgdir/etc/cron.monthly"
+  install -d -m755 "$pkgdir/etc/cron.weekly"
+  
+  # Install run-cron script to make fcron run without dcron
+  install -D -m755 "$srcdir/run-cron" "$pkgdir/usr/sbin/run-cron"
+
+  # avoid conflict with filesystem>=2012.06
+  rmdir "$pkgdir/var/run"
+
+  # avoid conflict with libbsd - #31259
+  rm "$pkgdir/usr/share/man/man3/bitstring.3" \
+    "$pkgdir/usr/share/man/fr/man3/bitstring.3"
+  rmdir --ignore-fail-on-non-empty "$pkgdir/usr/share/man/man3" \
+    "$pkgdir/usr/share/man/fr/man3" || true
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fcron/repos/community-testing-x86_64/fcron.rc (from rev 86557, fcron/trunk/fcron.rc)
===================================================================
--- community-testing-x86_64/fcron.rc	                        (rev 0)
+++ community-testing-x86_64/fcron.rc	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/fcron`
+case "$1" in
+  start)
+    stat_busy "Starting Fcron Daemon"
+    [ -z "$PID" ] && /usr/sbin/fcron -b
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon fcron
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Fcron Daemon"
+    [ -n "$PID" ]  && kill $PID >/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon fcron
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: fcron/repos/community-testing-x86_64/run-cron (from rev 86557, fcron/trunk/run-cron)
===================================================================
--- community-testing-x86_64/run-cron	                        (rev 0)
+++ community-testing-x86_64/run-cron	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+
+if [ -z $1 ]; then
+   echo "Usage: $0 crondir"
+   exit 1
+fi
+
+for cron in $1/* ; do
+  if [ -x $cron ]; then
+     $cron
+  fi
+done
+unset cron

Copied: fcron/repos/community-testing-x86_64/systab (from rev 86557, fcron/trunk/systab)
===================================================================
(Binary files differ)

Copied: fcron/repos/community-testing-x86_64/systab.orig (from rev 86557, fcron/trunk/systab.orig)
===================================================================
--- community-testing-x86_64/systab.orig	                        (rev 0)
+++ community-testing-x86_64/systab.orig	2013-03-19 10:30:42 UTC (rev 86558)
@@ -0,0 +1,4 @@
+&bootrun 01 * * * *  /usr/sbin/run-cron /etc/cron.hourly
+&bootrun 02 00 * * * /usr/sbin/run-cron /etc/cron.daily
+&bootrun 22 00 * * 0 /usr/sbin/run-cron /etc/cron.weekly
+&bootrun 42 00 1 * * /usr/sbin/run-cron /etc/cron.monthly




More information about the arch-commits mailing list